#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe2385937, "__platform_driver_register" },
	{ 0x44a8f6cc, "usb_del_gadget_udc" },
	{ 0x6d25d3e8, "free_dma_pools" },
	{ 0x1aa77475, "udc_remove" },
	{ 0x2f32eb04, "phy_power_off" },
	{ 0xa7ea6b89, "phy_exit" },
	{ 0x75fef8b6, "extcon_unregister_notifier" },
	{ 0x876e5cd3, "_dev_info" },
	{ 0x11e6cb56, "devm_kmalloc" },
	{ 0x21dc08c3, "devm_platform_get_and_ioremap_resource" },
	{ 0xc9fc9c50, "irq_of_parse_and_map" },
	{ 0x9572e770, "devm_of_phy_get_by_index" },
	{ 0xc609b3e1, "phy_init" },
	{ 0x419653d1, "phy_power_on" },
	{ 0x60bcf7e1, "of_find_property" },
	{ 0xd0b90699, "extcon_get_edev_by_phandle" },
	{ 0x87e67de6, "extcon_register_notifier" },
	{ 0xa03c98f0, "extcon_get_state" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe0e8e281, "init_dma_pools" },
	{ 0x5d01d078, "udc_irq" },
	{ 0xb2214cad, "devm_request_threaded_irq" },
	{ 0x4afa947, "udc_probe" },
	{ 0xd1005013, "_dev_err" },
	{ 0xedfcfd8f, "platform_driver_unregister" },
	{ 0xc3b8730c, "udc_enable_dev_setup_interrupts" },
	{ 0x7c72f71, "udc_basic_init" },
	{ 0x5b61f0b5, "__dynamic_dev_dbg" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x62e84d75, "udc_mask_unused_interrupts" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x5c47d30, "empty_req_queue" },
	{ 0x19858e93, "param_ops_bool" },
	{ 0x17608925, "module_layout" },
};

MODULE_INFO(depends, "snps_udc_core");

MODULE_ALIAS("of:N*T*Cbrcm,ns2-udc");
MODULE_ALIAS("of:N*T*Cbrcm,ns2-udcC*");
MODULE_ALIAS("of:N*T*Cbrcm,cygnus-udc");
MODULE_ALIAS("of:N*T*Cbrcm,cygnus-udcC*");
MODULE_ALIAS("of:N*T*Cbrcm,iproc-udc");
MODULE_ALIAS("of:N*T*Cbrcm,iproc-udcC*");
